import Actor
from Reader import reader

class BaseCharacteristics():
    def __init__(self):
        return

class Characteristics():
    def __init__(self):
      
      self.experience = reader.readVarUhLong()
      self.experience_level_floor = reader.readVarUhLong()
      self.experience_next_level_floor = reader.readVarUhLong()
      self.experience_bonus_limit = reader.readVarUhLong()
      self.kamas = reader.readVarUhLong()
      self.stats_points = reader.readVarUhShort()
      self.additionnal_points = reader.readVarUhShort()
      self.spells_points = reader.readVarUhShort()
      self.alignment_infos = Actor.ActorExtendedAlignmentInformations()
      self.life_points = reader.readVarUhInt()
      self.max_life_points = reader.readVarUhInt()
      self.energy_points = reader.readVarUhShort()
      self.max_energy_points = reader.readVarUhShort()
      self.action_points_current = reader.readVarShort()
      self.movement_points_current = reader.readVarShort()
